#!/bin/sh

##
# Please adjust the LOGFILE and JBOSSDIR variables to your settings.
PIDFILE="~/carmaweb/jboss.pid"
LOGFILE="/tmp/rweb.log"
export PIDFILE
PGREP="/usr/bin/pgrep"
HEAD="/usr/bin/head"
XARGS="/usr/bin/xargs"
KILL="/usr/bin/kill"
JBOSSDIR="/home/carma/carmaweb-1.3/jboss-4.0.2/bin"

case $1 in
'start')
	if [ -f "$PIDFILE" ]; then
	   echo "ERROR: Jboss is already running or $PIDFILE remained from previous JBOSS"
	   exit 1
	fi
	cd $JBOSSDIR
        ./run.sh -c Rweb > $LOGFILE &
	;;
'stop')
#        if [ -f "$PIDFILE" ]; then
#	   printf "Stopping Process with the PID: (%d) \n" `cat $PIDFILE`
	   cd $JBOSSDIR
	   ./shutdown.sh -s localhost:31099
#	   rm $PIDFILE
	   echo "Stopping"
#	else
#	  echo "JBOSS Not running"
#	fi
	;;
'kill')
        if [ -f "$PIDFILE" ]; then 
           printf "Killing Process with the PID: (%d) \n" `cat $PIDFILE`
           kill -TERM `cat $PIDFILE`
  	   rm $PIDFILE
           echo "Stop"
	else 
	   echo "JBOSS Not running"
	fi
        ;;
'restart')
	$0 kill
	$0 start
	;;
*)
        echo "usage: $0 {start|stop|kill|restart}"
        ;;
esac

